> This page is for Firmware, version 4.0 (default).
> For other versions, use one of these documentation indexes:
> - 4.0 (default): https://docs.ouster.com/sensor-docs/firmware/4.0/llms.txt
> - 3.2: https://docs.ouster.com/sensor-docs/firmware/3.2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ouster.com/sensor-docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ouster.com/sensor-docs/_mcp/server.

# Get information

GET http://os-992244000006.local/api/v1/sensor/metadata/sensor_info

Get the sensor information

Reference: https://docs.ouster.com/sensor-docs/firmware/api-reference/ouster-http-api/sensor-metadata/get-sensor-info

## Response

### 200

Provides sensor's serial number, product part number, FW image revision, and status along with other parameters.

- `build_date` (string, optional)
- `build_rev` (string, optional)
- `image_rev` (string, optional)
- `initialization_id` (integer, optional)
- `prod_line` (string, optional) — Product line string. MAX products include a MAX token before the beam configuration, for example OS-1-MAX-256-RGB.
- `prod_pn` (string, optional)
- `prod_sn` (string, optional)
- `status` (enum, optional)
  - Allowed values: `STANDBY`, `RUNNING`, `INITIALIZING`

## Examples

**Response**

```json
{
  "build_date": "2023-1-15T15:56:07Z",
  "build_rev": "v3.0.0",
  "image_rev": "ousteros-image-prod-bootes-v3.0.0+0123456789",
  "initialization_id": 390072,
  "prod_line": "OS-1-MAX-256-RGB",
  "prod_pn": "860-105010-07",
  "prod_sn": "992244000006",
  "status": "RUNNING"
}
```

**SDK Code**

```python
import requests

url = "http://os-992244000006.local/api/v1/sensor/metadata/sensor_info"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'http://os-992244000006.local/api/v1/sensor/metadata/sensor_info';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "http://os-992244000006.local/api/v1/sensor/metadata/sensor_info"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("http://os-992244000006.local/api/v1/sensor/metadata/sensor_info")

http = Net::HTTP.new(url.host, url.port)

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("http://os-992244000006.local/api/v1/sensor/metadata/sensor_info")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'http://os-992244000006.local/api/v1/sensor/metadata/sensor_info');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("http://os-992244000006.local/api/v1/sensor/metadata/sensor_info");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "http://os-992244000006.local/api/v1/sensor/metadata/sensor_info")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```